

{{$dataTable_variante_piatto->scripts(attributes: ['type' => 'module'])}}


<script type="module">
  $(document).ready(function(){
    // Editor edit
    $("#dataTable_variante_piatto").on('click', 'a.editor_edit', function (e) {
      e.preventDefault();
      window.LaravelDataTables["dataTable_variante_piatto-editor"].edit( $(this).closest('tr'), {
        title: 'Modifica',
        buttons: 'Aggiorna',
      });
    });

    // Editor delete
    $("#dataTable_variante_piatto").on('click', 'a.editor_delete', function (e) {
      e.preventDefault();
      window.LaravelDataTables["dataTable_variante_piatto-editor"].remove($(this).closest('tr'), {
        title: 'Cancella record',
        message: 'Sei sicuro di voler eliminare il record selezionato?',
        buttons: 'Cancella record'
      });
    } );

    $("#dataTable_variante_piatto").on('dblclick', 'tbody td', function (e) {
      window.LaravelDataTables["dataTable_variante_piatto-editor"].edit( $(this).closest('tr'), {
        title: 'Modifica',
        buttons: 'Aggiorna',
      });
    });

  });

</script>

<script>
  function initComplete_variante_piatto(){
    $('div.dt-buttons button').removeClass('btn-secondary');
    $('div.dt-search').addClass('mt-0 mb-4');
    $('div.btn-group').removeClass('btn-group');
    return;
  }

  function aggiornaVariantePiattoDataTable(categoria_id) {
  const dt = window.LaravelDataTables["dataTable_variante_piatto"];
  dt.settings()[0].ajax.data = function(d) {
    d.cucina_id = cucina_id;
  };
  dt.ajax.reload();
}


</script>